Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: При попытке установить или обновить что-то: dpkg returned an error code (1)  (Прочитано 354 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн KAYOver

  • Автор темы
  • Новичок
  • *
  • Сообщений: 43
    • Просмотр профиля
Такая вот фигня, после неудачной установки docky, собсно я его вроде удалил, а толку нет.
После sudo apt-get install -f в терминале:
...
dpkg: error processing package libwnck2.20-cil (--configure):
 проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
 mono-gac
 mono-runtime-common
 mono-runtime-sgen
 mono-runtime
 libmono-corlib4.0-cil
 libmono-corlib4.5-cil
 libmono-posix4.0-cil
 libmono-system-core4.0-cil
 libdbus2.0-cil
 libdbus-glib2.0-cil
 libglib2.0-cil
 libgconf2.0-cil
 libgnome-keyring1.0-cil
 libmono-cairo4.0-cil
 libmono-system-drawing4.0-cil
 libgtk2.0-cil
 libgnomedesktop2.20-cil
 libmono-sharpzip4.84-cil
 libmono-addins0.2-cil
 libmono-data-tds4.0-cil
 libmono-i18n4.0-cil
 libmono-i18n-west4.0-cil
 libmono-system-transactions4.0-cil
 libmono-system-enterpriseservices4.0-cil
 libmono-system-data4.0-cil
 libmono-sqlite4.0-cil
 libmono-system-runtime-serialization-formatters-soap4.0-cil
 libmono-system-web-applicationservices4.0-cil
 libmono-web4.0-cil
 libmono-system-web4.0-cil
 libmono-system-web-services4.0-cil
 libmono-system-xml-linq4.0-cil
 libnotify0.4-cilE: Sub-process /usr/bin/dpkg returned an error code (1)
Я так же пытался удалить все эти пакеты из /var/lib/dpkg/info командой типа rm mono-gac.* но ничего не изменилось  :(

Оффлайн victor00000

  • Забанен
  • Старожил
  • *
  • Сообщений: 15570
  • Глухонемой (Deaf)
    • Просмотр профиля
sudo apt-get clean
sudo apt-get autoclean
?
Нельзя друзья, дулу - AnrDaemon видите?
~.o

Оффлайн KAYOver

  • Автор темы
  • Новичок
  • *
  • Сообщений: 43
    • Просмотр профиля

Оффлайн bazzilio

  • Любитель
  • *
  • Сообщений: 56
    • Просмотр профиля
А что если сделать
apt-get remove libnotify0.4-cilE libwnck2.20-cil
либо еще кардинальней - одной строкой удалить все пакеты, которые высвечиваются, как проблемные.

 

Страница сгенерирована за 0.114 секунд. Запросов: 24.